import { ComponentType } from 'discord-api-types/v10';
import { ButtonBuilder } from './Button';
import { SelectMenuBuilder } from './SelectMenu';
import { TextInputBuilder } from './TextInput';
import { ActionRowBuilder as DjsActionRowBuilder } from 'discord.js';
export declare class ActionRowTextInputBuilder extends DjsActionRowBuilder<TextInputBuilder> {
    type: ComponentType;
    components: TextInputBuilder[];
    constructor(components?: TextInputBuilder[]);
}
export { ButtonBuilder, SelectMenuBuilder, TextInputBuilder };
