import { Button } from '../interfaces/Button';
import { ComponentType, ButtonStyle } from 'discord-api-types/v10';
import { ButtonBuilder as DjsButtonBuilder } from 'discord.js';
export declare class ButtonBuilder extends DjsButtonBuilder {
    type: ComponentType.Button;
    style: ButtonStyle;
    label?: string;
    emoji?: {
        name: string | null | undefined;
        id: string | null | undefined;
        animated?: boolean | undefined | null;
    } | string;
    custom_id: string;
    url?: string;
    disabled?: boolean;
    constructor(data: Button | ButtonBuilder);
}
export { ButtonStyle };
