import { SelectMenuStyle, SelectMenuOption, SelectMenu } from "../interfaces/SelectMenu";
import { SelectMenuBuilder as DjsSelectMenuBuilder } from 'discord.js';
import { SelectMenuOptionBuilder } from './SelectMenuOption';
export declare class SelectMenuBuilder extends DjsSelectMenuBuilder {
    type: SelectMenuStyle;
    custom_id: string;
    options: SelectMenuOptionBuilder[];
    placeholder: string;
    constructor(data: SelectMenu | SelectMenuBuilder);
}
export { SelectMenuStyle, SelectMenuOption };
