"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectMenuStyle = exports.SelectMenuBuilder = void 0;
const SelectMenu_1 = require("../interfaces/SelectMenu");
Object.defineProperty(exports, "SelectMenuStyle", { enumerable: true, get: function () { return SelectMenu_1.SelectMenuStyle; } });
const discord_js_1 = require("discord.js");
const SelectMenuOption_1 = require("./SelectMenuOption");
class SelectMenuBuilder extends discord_js_1.SelectMenuBuilder {
    type;
    custom_id;
    options;
    constructor(data) {
        super();
        this.type = data.type;
        this.custom_id = data.custom_id;
        this.options = data.options.map((option) => new SelectMenuOption_1.SelectMenuOptionBuilder(option));
        this.data.type = data.type;
        this.data.custom_id = this.custom_id;
        this.data.options = this.options;
    }
}
exports.SelectMenuBuilder = SelectMenuBuilder;
