import { ComponentType, TextInputStyle } from 'discord-api-types/v10';
import { TextInput } from '../interfaces/TextInput';
import { TextInputBuilder as DjsTextInputBuilder } from 'discord.js';
export declare class TextInputBuilder extends DjsTextInputBuilder {
    type: ComponentType;
    custom_id: string;
    style: 1 | 2;
    label: string;
    min_length?: number;
    max_length?: number;
    placeholder?: string;
    value?: string;
    required?: boolean;
    constructor(data: TextInput | TextInputBuilder);
}
export { TextInputStyle };
