"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalBuilder = exports.TextInputStyle = exports.TextInputBuilder = void 0;
const TextInput_1 = require("../components/TextInput");
Object.defineProperty(exports, "TextInputBuilder", { enumerable: true, get: function () { return TextInput_1.TextInputBuilder; } });
Object.defineProperty(exports, "TextInputStyle", { enumerable: true, get: function () { return TextInput_1.TextInputStyle; } });
const ActionRowTextInput_1 = require("../components/ActionRowTextInput");
const discord_js_1 = require("discord.js");
class ModalBuilder extends discord_js_1.ModalBuilder {
    title;
    custom_id;
    components = [];
    constructor(data) {
        super();
        this.title = data.title;
        this.custom_id = data.custom_id;
        this.components = [new ActionRowTextInput_1.ActionRowTextInputBuilder(data.components)];
        this.data.title = this.title;
        this.data.custom_id = this.custom_id;
        this.data.components = this.components;
    }
}
exports.ModalBuilder = ModalBuilder;
