import { EmbedBuilder as DjsEmbedBuilder } from 'discord.js';
import { Embed } from '../interfaces/Embed';
export declare class EmbedBuilder extends DjsEmbedBuilder {
    title?: string;
    description?: string;
    url?: string;
    color?: number;
    timestamp?: string;
    footer?: {
        text: string;
        icon_url?: string;
    };
    image?: string | {
        url: string;
        proxy_url?: string;
        height?: number;
        width?: number;
    };
    thumbnail?: {
        url: string;
    };
    author?: {
        name: string;
        url?: string;
        icon_url?: string;
        proxy_icon_url?: string;
    };
    fields?: {
        name: string;
        value: string;
        inline?: boolean;
    }[];
    constructor(data?: Embed);
}
