import { ComponentType } from 'discord-api-types/v10';
import { ButtonBuilder } from './Button';
import { SelectMenuBuilder } from './SelectMenu';
import { TextInputBuilder } from './TextInput';
import { ActionRowBuilder as DjsActionRowBuilder } from 'discord.js';
export declare class ActionRowBuilder extends DjsActionRowBuilder {
    type: ComponentType;
    components: ButtonBuilder[] | SelectMenuBuilder[] | TextInputBuilder[];
    constructor(components?: ButtonBuilder[] | SelectMenuBuilder[] | TextInputBuilder[]);
}
export { ButtonBuilder, SelectMenuBuilder, TextInputBuilder };
