import { SelectMenuOptionBuilder as DjsSelectMenuOptionBuilder, Emoji } from 'discord.js';
import { SelectMenuOption } from '../interfaces/SelectMenu';
export declare class SelectMenuOptionBuilder extends DjsSelectMenuOptionBuilder {
    label: string;
    value: string;
    description?: string;
    emoji?: {
        name: string | null | undefined;
        id: string | null | undefined;
        animated?: boolean;
    } | string | undefined | Emoji;
    default?: boolean;
    constructor(data: SelectMenuOption | SelectMenuOptionBuilder);
}
