import { TextInputBuilder, TextInputStyle } from "../components/TextInput";
import { Modal } from "../interfaces/Modal";
import { ActionRowTextInputBuilder } from "../components/ActionRowTextInput";
import { ModalBuilder as DjsModalBuilder } from 'discord.js';
declare class ModalBuilder extends DjsModalBuilder {
    title: string;
    custom_id: string;
    components: ActionRowTextInputBuilder[];
    constructor(data: Modal | ModalBuilder);
}
export { TextInputBuilder, TextInputStyle, ModalBuilder };
