"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toPermissionBitfield = void 0;
const v10_1 = require("discord-api-types/v10");
function toPermissionBitfield(permissions) {
    let bitfield = 0n;
    for (const permission of permissions) {
        bitfield |= BigInt(v10_1.PermissionFlagsBits[permission]);
    }
    return parseInt(bitfield, 10);
}
exports.toPermissionBitfield = toPermissionBitfield;
